/*
 * Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
 *
 */
package net.northking.cctp.saas.dto.app;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 查询接口--数据传输对象：SaaS应用服务资源
 * <p>
 * createdate:  2021-03-16 13:47:24  <br>
 *
 * @author: maven-cctp-plugin  <br>
 * @since: 1.0 <br>
 */
@JsonSerialize
@ApiModel(description = "SaaS应用服务资源")
public class SaaSAppResourceQueryDto implements Serializable
{
  /**
   * 微服务名称 冗余<br>
   */
  @ApiModelProperty("微服务名称 冗余")
  private String appName;
  /**
   * 微服务<br>
   */
  @ApiModelProperty("微服务")
  private String microServiceId;

  /**
   * 资源名称<br>
   */
  @ApiModelProperty("资源名称")
  private String resourceName;

  /**
   * 访问类型<br>
   */
  @ApiModelProperty("访问类型")
  private String httpMethod;
  /**
   * 资源地址<br>
   */
  @ApiModelProperty("资源地址")
  private String httpUrl;
  /**
   * 权限<br>
   */
  @ApiModelProperty("权限")
  private String authority;
  /**
   * 是否启用<br>
   */
  @ApiModelProperty("是否启用")
  private Boolean enabled;

  public String getAppName() {
    return appName;
  }

  public void setAppName(String appName) {
    this.appName = appName;
  }

  public String getMicroServiceId()
  {
    return microServiceId;
  }

  public void setMicroServiceId(String microServiceId)
  {
    this.microServiceId = microServiceId;
  }

  public String getResourceName()
  {
    return resourceName;
  }

  public void setResourceName(String resourceName)
  {
    this.resourceName = resourceName;
  }

  public String getHttpMethod()
  {
    return httpMethod;
  }

  public void setHttpMethod(String httpMethod)
  {
    this.httpMethod = httpMethod;
  }

  public String getHttpUrl()
  {
    return httpUrl;
  }

  public void setHttpUrl(String httpUrl)
  {
    this.httpUrl = httpUrl;
  }

  public String getAuthority()
  {
    return authority;
  }

  public void setAuthority(String authority)
  {
    this.authority = authority;
  }

  public Boolean getEnabled()
  {
    return enabled;
  }

  public void setEnabled(Boolean enabled)
  {
    this.enabled = enabled;
  }

  @ApiModelProperty("排除功能Id")
  private String excludeFuncId;

  public String getExcludeFuncId()
  {
    return excludeFuncId;
  }

  public void setExcludeFuncId(String excludeFuncId)
  {
    this.excludeFuncId = excludeFuncId;
  }
}